CREATE SEQUENCE iamc_timeslices_seq START WITH 1000;
CREATE TABLE iamc_timeslices (
    id NUMBER NOT NULL,
    name VARCHAR2(255) NOT NULL,
    category VARCHAR2(255) NOT NULL,
    duration BINARY_DOUBLE,
    CONSTRAINT iamc_timeslices_pk PRIMARY KEY (id),
    CONSTRAINT iamc_timeslices_uk1 UNIQUE (name, category)
);
-- -1 is chosen to avoid huge update on data migration for existing timeseries data
INSERT INTO iamc_timeslices(id, name, category, duration) VALUES (-1, 'Year', 'Common', 1);

UPDATE iamc_tsinfo SET time = -1 WHERE time != -1;

ALTER TABLE iamc_tsinfo ADD CONSTRAINT iamc_tsinfo_time_fk FOREIGN KEY (time) REFERENCES iamc_timeslices(id);
